(* $Id: colorize.mli 1900 2010-02-24 17:28:20Z ohl $

   Copyright (C) 1999-2009 by

       Wolfgang Kilian <kilian@hep.physik.uni-siegen.de>
       Thorsten Ohl <ohl@physik.uni-wuerzburg.de>
       Juergen Reuter <juergen.reuter@physik.uni-freiburg.de>

   WHIZARD is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   WHIZARD is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  *)

(* \thocwmodulesection{\ldots} *)

module type Flows = 
  sig
    val max_lines : int
  end

module It (F : Flows) (M : Model.T) :
    Model.Colorized with module M = M

module Gauge (F : Flows) (M : Model.Gauge) :
    Model.Colorized_Gauge with module M = M

(*i
module Dynamical (M : Model.T) :
    Model.Colorized with module M = M
i*)

(* \begin{dubious}
     Also implement [module Trivial (M : Model.T) : Model.Colorized with module M = M]
     for handling completely colorless models more efficiently.
   \end{dubious} *)

(*i
 *  Local Variables:
 *  mode:caml
 *  indent-tabs-mode:nil
 *  page-delimiter:"^(\\* .*\n"
 *  End:
i*)
